From 1aa32ec1599c7102c4760440d4adb6a903358ca3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Tor=20Arne=20Vestb=C3=B8?= <tor.arne.vestbo@qt.io>
Date: Thu, 10 Dec 2020 16:22:09 +0100
Subject: [PATCH 163/262] macOS: Disable WA_QuitOnClose on menu item widget
 container
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Otherwise it will prevent quitting of the application when the last
window is closed, on account of (seemingly) being a top level window.

Change-Id: Ib79615dd1e9394c96d39c8f9851005b4c073c165
Reviewed-by: Alexandru Croitor <alexandru.croitor@qt.io>
(cherry picked from commit 6198ba217f3a9b31d44375b26f3635f15fc01b3d)
Reviewed-by: Tor Arne Vestbø <tor.arne.vestbo@qt.io>
---
 src/widgets/widgets/qmenu_mac.mm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/widgets/widgets/qmenu_mac.mm b/src/widgets/widgets/qmenu_mac.mm
index 81a98f2d14..97fb6370fd 100644
--- a/src/widgets/widgets/qmenu_mac.mm
+++ b/src/widgets/widgets/qmenu_mac.mm
@@ -126,6 +126,7 @@ void QMenu::setAsDockMenu()
 void QMenuPrivate::moveWidgetToPlatformItem(QWidget *widget, QPlatformMenuItem* item)
 {
     auto *container = new QT_IGNORE_DEPRECATIONS(QMacNativeWidget);
+    container->setAttribute(Qt::WA_QuitOnClose, false);
     QObject::connect(platformMenu, SIGNAL(destroyed()), container, SLOT(deleteLater()));
     container->resize(widget->sizeHint());
     widget->setParent(container);
-- 
2.33.0

